<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddHuntListReq StructType
 * @subpackage Structs
 */
class AddHuntListReq extends APIRequest
{
    /**
     * The huntList
     * @var XHuntList
     */
    public $huntList;
    /**
     * Constructor method for AddHuntListReq
     * @uses AddHuntListReq::setHuntList()
     * @param XHuntList $huntList
     */
    public function __construct(XHuntList $huntList = null)
    {
        $this
            ->setHuntList($huntList);
    }
    /**
     * Get huntList value
     * @return XHuntList|null
     */
    public function getHuntList()
    {
        return $this->huntList;
    }
    /**
     * Set huntList value
     * @param XHuntList $huntList
     * @return AddHuntListReq
     */
    public function setHuntList(XHuntList $huntList = null)
    {
        $this->huntList = $huntList;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddHuntListReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
